For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Channels
    • Orders
    • Products
    • Inventory
    • Receiving
    • Returns
      • POSTCreate Return Order
      • GETGet Return Orders
      • GETGet Return Order
      • PUTModify Return Order
      • POSTCancel Return Order
      • GETGet One Return's status history
    • Webhooks
    • Locations
    • OpenAPI spec
LogoLogo
API ReferenceReturns

Get Return Order

||View as Markdown|
GET
/2.0/return/:id
GET
/2.0/return/:id
$curl https://api.shipbob.com/2.0/return/id \
> -H "Authorization: Bearer <token>"
1{}
Was this page helpful?
Previous

Get Return Orders

Next

Modify Return Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequiredformat: "int32"

Headers

shipbob_channel_idstringOptionalformat: "int32"

Query parameters

api-versionstringOptional
The requested API version

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error